## gimpimagegrid

gimpimagegrid — Functions manuipulating an image's grid.

## Functions

gboolean | gimp_image_grid_get_spacing ()
gboolean | gimp_image_grid_set_spacing ()
gboolean | gimp_image_grid_get_offset ()
gboolean | gimp_image_grid_set_offset ()
gboolean | gimp_image_grid_get_foreground_color ()
gboolean | gimp_image_grid_set_foreground_color ()
gboolean | gimp_image_grid_get_background_color ()
gboolean | gimp_image_grid_set_background_color ()
GimpGridStyle | gimp_image_grid_get_style ()
gboolean | gimp_image_grid_set_style ()

## Description

Functions manuipulating an image's grid.

## Functions

### gimp_image_grid_get_spacing ()

    gboolean
    gimp_image_grid_get_spacing (gint32 image_ID,
                                 gdouble *xspacing,
                                 gdouble *yspacing);

Gets the spacing of an image's grid.

This procedure retrieves the horizontal and vertical spacing of an image's grid. It takes the image as parameter.

#### Parameters

image_ID | The image. |
xspacing | The image's grid horizontal spacing. |
yspacing | The image's grid vertical spacing. |

#### Returns

TRUE on success.

Since: 2.4

### gimp_image_grid_set_spacing ()

    gboolean
    gimp_image_grid_set_spacing (gint32 image_ID,
                                 gdouble xspacing,
                                 gdouble yspacing);

Sets the spacing of an image's grid.

This procedure sets the horizontal and vertical spacing of an image's grid.

#### Parameters

image_ID | The image. |
xspacing | The image's grid horizontal spacing. |
yspacing | The image's grid vertical spacing. |

#### Returns

TRUE on success.

Since: 2.4

### gimp_image_grid_get_offset ()

    gboolean
    gimp_image_grid_get_offset (gint32 image_ID,
                                gdouble *xoffset,
                                gdouble *yoffset);

Gets the offset of an image's grid.

This procedure retrieves the horizontal and vertical offset of an image's grid. It takes the image as parameter.

#### Parameters

image_ID | The image. |
xoffset | The image's grid horizontal offset. |
yoffset | The image's grid vertical offset. |

#### Returns

TRUE on success.

Since: 2.4

### gimp_image_grid_set_offset ()

    gboolean
    gimp_image_grid_set_offset (gint32 image_ID,
                                gdouble xoffset,
                                gdouble yoffset);

Sets the offset of an image's grid.

This procedure sets the horizontal and vertical offset of an image's grid.

#### Parameters

image_ID | The image. |
xoffset | The image's grid horizontal offset. |
yoffset | The image's grid vertical offset. |

#### Returns

TRUE on success.

Since: 2.4

### gimp_image_grid_get_foreground_color ()

    gboolean
    gimp_image_grid_get_foreground_color (gint32 image_ID,
                                          GimpRGB *fgcolor);

Sets the foreground color of an image's grid.

This procedure gets the foreground color of an image's grid.

#### Parameters

image_ID | The image. |
fgcolor | The image's grid foreground color. |

#### Returns

TRUE on success.

Since: 2.4

### gimp_image_grid_set_foreground_color ()

    gboolean
    gimp_image_grid_set_foreground_color (gint32 image_ID,
                                          const GimpRGB *fgcolor);

Gets the foreground color of an image's grid.

This procedure sets the foreground color of an image's grid.

#### Parameters

image_ID | The image. |
fgcolor | The new foreground color. |

#### Returns

TRUE on success.

Since: 2.4

### gimp_image_grid_get_background_color ()

    gboolean
    gimp_image_grid_get_background_color (gint32 image_ID,
                                          GimpRGB *bgcolor);

Sets the background color of an image's grid.

This procedure gets the background color of an image's grid.

#### Parameters

image_ID | The image. |
bgcolor | The image's grid background color. |

#### Returns

TRUE on success.

Since: 2.4

### gimp_image_grid_set_background_color ()

    gboolean
    gimp_image_grid_set_background_color (gint32 image_ID,
                                          const GimpRGB *bgcolor);

Gets the background color of an image's grid.

This procedure sets the background color of an image's grid.

#### Parameters

image_ID | The image. |
bgcolor | The new background color. |

#### Returns

TRUE on success.

Since: 2.4

### gimp_image_grid_get_style ()

    GimpGridStyle
    gimp_image_grid_get_style (gint32 image_ID);

Gets the style of an image's grid.

This procedure retrieves the style of an image's grid.

#### Parameters

image_ID | The image. |

#### Returns

The image's grid style.

Since: 2.4

### gimp_image_grid_set_style ()

    gboolean
    gimp_image_grid_set_style (gint32 image_ID,
                               GimpGridStyle style);

Sets the style unit of an image's grid.

This procedure sets the style of an image's grid. It takes the image and the new style as parameters.

#### Parameters

image_ID | The image. |
style | The image's grid style. |

#### Returns

TRUE on success.

Since: 2.4